#!/bin/sh

# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# $Id: run.sh 134 2007-10-16 03:07:31Z vgritsenko $

# ----- OS specific support ----------------------------------------------------

cygwin=false;
darwin=false;
case "`uname`" in
  CYGWIN*) cygwin=true ;;
  Darwin*) darwin=true
           if [ -z "$JAVA_HOME" ] ; then
             JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Home
           fi
           ;;
esac

# ----- Verify and Set Required Environment Variables -------------------------

if [ "$JAVA_HOME" = "" ] ; then
  echo You must set JAVA_HOME to point at your Java Development Kit installation
  exit 1
fi

if [ "$JAVA_OPTS" = "" ] ; then
  JAVA_OPTS="-server -Djava.awt.headless=true -Xms256m -Xmx256m"
fi

JAVA_DEBUG="-Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,server=y,suspend=n,address=5005"

if [ "$JETTY_OPTS" = "" ] ; then
  JETTY_OPTS="-Djetty.home=jetty -Djetty.port=8888"
fi

JAVACMD=$JAVA_HOME/bin/java
if $cygwin; then
  JAVACMD=`cygpath --windows "$JAVACMD"`
  CP=`cygpath --path --windows "$CP"`
fi

JETTY_VARS="-Dwebapp=target/my-cocoon-webapp -Dcontext=/cocoon -Dhtdocs=src/main/htdocs"

# ----- Run Coocon -------------------------------------------------------------

$JAVACMD $JAVA_OPTS -cp jetty/start.jar:jetty/servlet-api-2.5.jar $JETTY_OPTS $JETTY_VARS org.mortbay.start.Main jetty/conf/jetty.xml
